ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
- BEDInFormatter
- BEDOutFormatter
- CoverageDataset
- DatasetBoundCoverageDataset
- DatasetBoundFeatureDataset
- FeatureDataset
- GFF3InFormatter
- GFF3OutFormatter
- GTFInFormatter
- GTFOutFormatter
- NarrowPeakInFormatter
- NarrowPeakOutFormatter
- ParquetUnboundCoverageDataset
- ParquetUnboundFeatureDataset
- RDDBoundCoverageDataset
- RDDBoundFeatureDataset

o

org.bdgenomics.adam.ds.feature

# FeatureDataset 

###
Companion class FeatureDataset

#### object FeatureDataset

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FeatureDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(rdd: RDD[Feature], sd: SequenceDictionary, samples: Iterable[Sample]): FeatureDataset

   Builds a FeatureDataset that wraps an RDD of Feature data given a sequence dictionary.

   Builds a FeatureDataset that wraps an RDD of Feature data given a sequence dictionary.

   rdd

     The underlying Feature RDD to build from.

   sd

     The sequence dictionary for this FeatureDataset.

   samples

     The samples in this FeatureDataset.

   returns

     Returns a new FeatureDataset.

5.  def apply(rdd: RDD[Feature]): FeatureDataset

   Builds a FeatureDataset that wraps an RDD of Feature data with an empty sequence dictionary.

   Builds a FeatureDataset that wraps an RDD of Feature data with an empty sequence dictionary.

   rdd

     The underlying Feature RDD to build from.

   returns

     Returns a new FeatureDataset.

6.  def apply(ds: Dataset[Feature], sequences: SequenceDictionary, samples: Iterable[Sample]): FeatureDataset

   A GenomicDataset that wraps a Dataset of Feature data given a sequence dictionary.

   A GenomicDataset that wraps a Dataset of Feature data given a sequence dictionary.

   ds

     A Dataset of genomic Features.

7.  def apply(ds: Dataset[Feature]): FeatureDataset

   A GenomicDataset that wraps a Dataset of Feature data with an empty sequence dictionary.

   A GenomicDataset that wraps a Dataset of Feature data with an empty sequence dictionary.

   ds

     A Dataset of genomic Features.

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped